TCTRL(4)

NAME
tctrl - Tadpole Microcontroller Interface

SYNOPSIS
tctrl0 at obio0

DESCRIPTION
The tctrl driver provides control over many functions on the Tadpole SPARCbook 3 series laptops, via their TS102 chip. The microcontroller is used to power the TFT display down when the laptop lid is closed and when the screen is blanked by the sparc/pnozz(4) driver. The tctrl is also used to power the laptop off when the reboot(2) system call is used with the RB_POWERDOWN flag is set. Power button events are forwarded to powerd(8). The PCMCIA part of the controller is supported by sparc/tslot(4).

SEE ALSO
reboot(2), sparc/intro(4), sparc/pnozz(4), sparc/tslot(4), powerd(8)